=== debian/changelog ===
barbican (1:19.0.0-5~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Fri, 25 Jul 2025 10:09:43 +0000

barbican (1:19.0.0-4) unstable; urgency=medium

  * Removed pep8 build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 08:34:33 +0100

barbican (1:19.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090399).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 09:12:08 +0100

barbican (1:19.0.0-2) unstable; urgency=medium

  * Black list WhenTestingP11CryptoPlugin.test_create_pkcs11 that is failing
    under Python 3.13, see https://bugs.launchpad.net/barbican/+bug/2089735.
    (Closes: #1088317).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Nov 2024 09:01:32 +0100

barbican (1:19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 13:18:14 +0200

barbican (1:19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:28:07 +0200

barbican (1:19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-openssl from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 09:11:40 +0200
