## barbican 19.0.0+git2025011509.55c758eb

=== debian/changelog ===
barbican (2:19.0.0+git2025011509.55c758eb-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * d/control,barbican-retry.init.in: Enable Barbican Retry Scheduler
    service (LP: #2085673).
  * d/tests/*: Update autopkgtests to cover barbican-retry.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with snapshot.
  * d/p/python313-compat.patch: Cherry pick proposed test fix for
    compatibility with Python 3.13.
  * d/control: Drop dependencies that are no longer required - six,
    mock, reno, pep8, bandit.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 09:07:04 +0000

barbican (2:19.0.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:19:01 +0100

barbican (2:19.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with release.

 -- James Page <james.page@ubuntu.com>  Thu, 12 Sep 2024 15:46:30 +0100

barbican (2:18.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 11:28:35 +0100

barbican (2:18.0.0~rc1-0ubuntu1) noble; urgency=medium

  * d/watch: Track Caracal series releases.
  * New upstream release candidate for OpenStack Caracal.
  * d/p/skip-cryptography-failure.patch: Drop, no longer needed.
  * d/p/*: Refresh, rebase.

 -- James Page <james.page@ubuntu.com>  Fri, 15 Mar 2024 16:25:05 +0000

barbican (2:17.0.0+git2024030809.8f92d6f5-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2024 11:24:19 +0000
