## barbican 19.0.0+git2025030311.4500d9f4

=== debian/changelog ===
barbican (2:19.0.0+git2025030311.4500d9f4-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 09:12:00 +0000
