=== debian/rules ===
--- 
+++ 
@@ -49,8 +49,6 @@
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf \
 		--wrap-width 140 \
-		--namespace barbican.certificate.plugin \
-		--namespace barbican.certificate.plugin.snakeoil \
 		--namespace barbican.common.config \
 		--namespace barbican.plugin.crypto \
 		--namespace barbican.plugin.crypto.p11 \
@@ -59,6 +57,9 @@
 		--namespace barbican.plugin.secret_store \
 		--namespace barbican.plugin.secret_store.kmip \
 		--namespace barbican.plugin.secret_store.vault \
+		--namespace barbican.certificate.plugin \
+		--namespace barbican.certificate.plugin.snakeoil \
+		--namespace barbican.common.config \
 		--namespace keystonemiddleware.audit \
 		--namespace keystonemiddleware.auth_token \
 		--namespace oslo.log \
@@ -71,6 +72,7 @@
 		--namespace oslo.service.service \
 		--namespace oslo.service.sslutils \
 		--namespace oslo.service.wsgi
+
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_authtoken barbican
 
 	# Same with policy.conf
