=== debian/changelog ===
barbican (1:20.0.0-3) unstable; urgency=medium

  * Add export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2025 10:13:11 +0200

barbican (1:20.0.0-2) unstable; urgency=medium

  * Add upstream patch Refactor-test_create_pkcs11-for-future-compat.patch and
    re-enable WhenTestingP11CryptoPlugin.test_create_pkcs11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 May 2025 08:14:47 +0200

barbican (1:20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:03:29 +0200
