=== debian/control ===
--- 
+++ 
@@ -40,11 +40,11 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.serialization,
  python3-oslo.service,
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils,
+ python3-oslo.utils (>= 7.0.0),
  python3-oslo.versionedobjects,
  python3-oslotest <!nocheck>,
  python3-paste,
@@ -170,11 +170,11 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.serialization,
  python3-oslo.service,
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils,
+ python3-oslo.utils (>= 7.0.0),
  python3-oslo.versionedobjects,
  python3-paste,
  python3-pastedeploy,
