## barbican 20.0.0+git2025070714.bfd1e72b

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 alembic>=0.8.10 # MIT
 cffi>=1.7.0 # MIT
 cryptography>=2.1 # BSD/Apache-2.0
-eventlet>=0.18.2,!=0.18.3,!=0.20.1  # MIT
+eventlet>=0.27.0 # MIT
 jsonschema>=3.2.0 # MIT
 oslo.config>=6.4.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
@@ -24,7 +24,6 @@
 PasteDeploy>=1.5.0 # MIT
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
-ldap3>=1.0.2 # LGPLv3
 keystonemiddleware>=9.5.0 # Apache-2.0
 SQLAlchemy>=1.4.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
