=== debian/changelog ===
barbican (2:20.0.0+git2025070714.bfd1e72b-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/ldap3-to-ldap.patch: Drop patch.
  * d/series: Drop ldap3-to-ldap.patch.
  * d/series: Drop python313-compat.patch.
  * d/p/python313-compat.patch: Drop patch applied upstream.
  * d/p/install-missing-db-files.patch: Refresh.
  * d/p/remove-rsvgconverter.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 07:17:29 -0700

barbican (2:20.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 16:42:05 +0200
