## barbican 21.0.0~rc1

=== debian/changelog ===
barbican (1:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Refactor-test_create_pkcs11-for-future-compat.patch applied
    upstream.
  * Run more tests, and generate test barbican.conf file before testing.
    Blacklist WhenTestingSimpleCryptoPlugin.* that's having configuration
    loading issues.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 08:26:38 +0200
