=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 123~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr,
@@ -22,14 +22,12 @@
  python3-coverage,
  python3-cryptography,
  python3-dateutil,
- python3-eventlet,
  python3-falcon,
  python3-fixtures,
  python3-hacking <!nocheck>,
  python3-jsonschema,
  python3-keystoneclient,
  python3-keystonemiddleware,
- python3-ldap3,
  python3-microversion-parse,
  python3-openstackdocstheme <!nodoc>,
  python3-os-api-ref <!nodoc>,
@@ -38,13 +36,13 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 14.1.0),
+ python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy (>= 4.5.0),
+ python3-oslo.policy,
  python3-oslo.serialization,
- python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 7.0.0),
+ python3-oslo.service (>= 4.2.0),
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-oslotest <!nocheck>,
  python3-paste,
@@ -156,11 +154,9 @@
  python3-cffi,
  python3-cryptography,
  python3-dateutil,
- python3-eventlet,
  python3-falcon,
  python3-jsonschema,
  python3-keystonemiddleware,
- python3-ldap3,
  python3-microversion-parse,
  python3-oslo.concurrency,
  python3-oslo.config,
@@ -168,13 +164,13 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging (>= 14.1.0),
+ python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy (>= 4.5.0),
+ python3-oslo.policy,
  python3-oslo.serialization,
- python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 7.0.0),
+ python3-oslo.service (>= 4.2.0),
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-paste,
  python3-pastedeploy,
