## barbican 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 alembic>=0.8.10 # MIT
 cffi>=1.7.0 # MIT
 cryptography>=2.1 # BSD/Apache-2.0
-eventlet>=0.27.0 # MIT
 jsonschema>=3.2.0 # MIT
 oslo.config>=6.4.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
@@ -16,7 +15,7 @@
 oslo.log>=4.3.0 # Apache-2.0
 oslo.policy>=4.5.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.service[threading]>=4.2.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 oslo.utils>=7.0.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
