=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.5.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
castellan >= 0.17 # Apache-2.0
pykmip>=0.7.0 # Apache 2.0 License
