=== debian/tests/control ===
Tests: barbican-daemons
Depends: barbican-common, barbican-api,
 barbican-worker, barbican-keystone-listener, barbican-retry
Restrictions: needs-root
