## barbican 21.0.0+git20260126.25.317e70e9

=== requirements.txt ===
--- 
+++ 
@@ -26,6 +26,6 @@
 keystonemiddleware>=9.5.0 # Apache-2.0
 SQLAlchemy>=1.4.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
-WebOb>=1.7.1 # MIT
+WebOb>=1.8.0 # MIT
 castellan >= 1.2.1 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0
