=== debian/changelog ===
barbican (2:21.0.0+git20260126.25.317e70e9-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * New upstream version 21.0.0+git20260126.25.317e70e9
  * d/patches/*: refresh patches
  * New upstream snapshot from 317e70e98c39c39ce44f22b303cd3aaa739abafd
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Mon, 26 Jan 2026 07:40:34 -0800
